org.apache.sis.xml

## Enum XLink.Actuate

- Object
- - Enum<XLink.Actuate>
  - - XLink.Actuate

- All Implemented Interfaces:
    Serializable, Comparable<XLink.Actuate>
  Enclosing class:
    XLink

      public static enum XLink.Actuate
      extends Enum<XLink.Actuate>

  Communicates the desired timing of traversal from the starting resource to the ending resource.
  Since:
    0.3
  See Also:
    `XLink​.getActuate()`

  Defined in the `sis-utility` module

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NONE` Behavior is unconstrained.
    `ON_LOAD` Traverse to the ending resource immediately on loading the starting resource.
    `ON_REQUEST` Traverse from the starting resource to the ending resource only on a post-loading event triggered for this purpose.
    `OTHER` Behavior is unconstrained; examine other markup in link for hints.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XLink.Actuate` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static XLink.Actuate[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ON_LOAD

          public static final XLink.Actuate ON_LOAD

      Traverse to the ending resource immediately on loading the starting resource.

    - #### ON_REQUEST

          public static final XLink.Actuate ON_REQUEST

      Traverse from the starting resource to the ending resource only on a post-loading event triggered for this purpose.

    - #### OTHER

          public static final XLink.Actuate OTHER

      Behavior is unconstrained; examine other markup in link for hints.

    - #### NONE

          public static final XLink.Actuate NONE

      Behavior is unconstrained.

  - ### Method Detail

    - #### values

          public static XLink.Actuate[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (XLink.Actuate c : XLink.Actuate.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static XLink.Actuate valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2010–2017 The Apache Software Foundation. All rights reserved.